<div class="login-component__modal-content w-100">
  <div class="mx-0 row login-component__h-total justify-content-center align-items-end w-100">
    <div class="{{modalClasses}} login-component__inputs-container">
      <form class="" onsubmit="return false;">
        <div class="input">
          <label for="login-email" class="label">
            Introduce tus datos
          </label>
          {{input id='login-email' value=email class='input__input mb-2' required=true placeholder="Email"}}
        </div>
        <div class="input">
          <div class="paragraph text-right mb-1">
            <a href="#" {{action 'togglePasswordVisibily'}}>
              {{if isVisiblePassword 'Ocultar' 'Mostrar'}}
            </a>
          </div>
          {{input id='login-password' value=password class='input__input mb-2' type=passwordInputType placeholder="Contraseña"}}
        </div>
        <!-- <p class="paragraph mt-2 text-right mb-0 mt-4">
          ¿Problemas para iniciar sesión?
        </p>
        <button {{action 'removeLocalStorage'}} class="login-component__remove-local paragraph text-right mb-2 w-100" type="button" name="button">Limpiar caché de la web</button> -->

        {{#if hasError}}
          {{#each errorMessages as |error|}}
            {{error-message title=error.title subtitle=error.detail}}
          {{/each}}
        {{/if}}

        <div class="paragraph text-right">
          {{#link-to routeName}}
            Si no tienes cuenta puedes registrarte
          {{/link-to}}
        </div>
        <div class="paragraph text-right mt-2">
          {{#if isButtonNetRoute}}
            {{#link-to 'button-net.recovery'}}
              Olvidé mi contraseña
            {{/link-to}}
          {{else}}
            {{#link-to 'recovery'}}
              Olvidé mi contraseña
            {{/link-to}}
          {{/if}}
        </div>

        <div class="row justify-content-center mt-5">
          <div class="col-12">
            {{#promise-button
              type="submit"
              class="button-sample"
              btnAction=(action 'authenticate')
            }}
              Entrar
            {{/promise-button}}
          </div>
        </div>
      </form>
    </div>
  </div>
</div>
{{#if isModal}}
  {{#if isButtonNetRoute}}
    {{#link-to 'button-net.index.index' class="register-component__close-container"}}{{/link-to}}
  {{else}}
    {{#link-to 'index.index' class="register-component__close-container"}}{{/link-to}}
  {{/if}}
{{/if}}
{{yield}}
